StatusManagerServlet (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.manager

## Class StatusManagerServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.catalina.manager.StatusManagerServlet

- All Implemented Interfaces:
    Serializable, EventListener, NotificationListener, Servlet, ServletConfig

      public class StatusManagerServlet
      extends HttpServlet
      implements NotificationListener

  This servlet will display a complete status of the HTTP/1.1 connector.
  Author:
    Remy Maucherat
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Vector<ObjectName>` | `globalRequestProcessors` Vector of global request processors object names.
    `protected MBeanServer` | `mBeanServer` MBean server.
    `protected Vector<ObjectName>` | `protocolHandlers` Vector of protocol handlers object names.
    `protected Vector<ObjectName>` | `requestProcessors` Vector of request processors object names.
    `protected static StringManager` | `sm` The string manager for this package.
    `protected Vector<ObjectName>` | `threadPools` Vector of thread pools object names.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusManagerServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Finalize this servlet.
    `void` | `doGet(HttpServletRequest request, HttpServletResponse response)` Process a GET request for the specified resource.
    `void` | `handleNotification(Notification notification, Object handback)`
    `void` | `init()` Initialize this servlet.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mBeanServer

          protected MBeanServer mBeanServer

      MBean server.

    - #### protocolHandlers

          protected final Vector<ObjectName> protocolHandlers

      Vector of protocol handlers object names.

    - #### threadPools

          protected final Vector<ObjectName> threadPools

      Vector of thread pools object names.

    - #### requestProcessors

          protected final Vector<ObjectName> requestProcessors

      Vector of request processors object names.

    - #### globalRequestProcessors

          protected final Vector<ObjectName> globalRequestProcessors

      Vector of global request processors object names.

    - #### sm

          protected static final StringManager sm

      The string manager for this package.

  - ### Constructor Detail

    - #### StatusManagerServlet

          public StatusManagerServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws ServletException

      Initialize this servlet.
      Overrides:
        `init` in class `GenericServlet`
      Throws:
        `ServletException` - if an exception occurs that interrupts the servlet's normal operation

    - #### destroy

          public void destroy()

      Finalize this servlet.
      Specified by:
        `destroy` in interface `Servlet`
      Overrides:
        `destroy` in class `GenericServlet`

    - #### doGet

          public void doGet(HttpServletRequest request,
                            HttpServletResponse response)
                     throws IOException,
                            ServletException

      Process a GET request for the specified resource.
      Overrides:
        `doGet` in class `HttpServlet`
      Parameters:
        `request` - The servlet request we are processing
        `response` - The servlet response we are creating
      Throws:
        `IOException` - if an input/output error occurs
        `ServletException` - if a servlet-specified error occurs
      See Also:
        `ServletResponse.setContentType(java.lang.String)`

    - #### handleNotification

          public void handleNotification(Notification notification,
                                         Object handback)

      Specified by:
        `handleNotification` in interface `NotificationListener`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.